/***************************************************************************
                          rawfilesettingsdlg.cpp  -  description
                             -------------------
    begin                : Mon Jan 21 2002
    copyright            : (C) 2002 by Ruediger Knoerig
    email                : ruediger@knoerig.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "rawfilesettingsdlg.h"
#include <qapplication.h>
#include <qlabel.h>
#include <math.h>

RawFileSettingsDlg::RawFileSettingsDlg(QWidget *parent, const char *name ) : RawFileSettingsDialog(parent,name,true)
{
	int wordsize;
	bool bigEndian;
	// request system's endianess
   qSysInfo(&wordsize,&bigEndian);
	BigEndianRadio->setChecked(bigEndian);
}

RawFileSettingsDlg::~RawFileSettingsDlg()
{
}

/** gives a size (memory usage) hint to the user */
void RawFileSettingsDlg::slotGiveSizeHint()
{
	double bytes = ((double)  WidthSpin->value())*HeightSpin->value()*DepthSpin->value();
	double range = log(bytes)/log(2.0);
	QString suffix = " Bytes";
	if(range >= 29.0)
		{
		 	bytes /= (1024.0*1024.0*1024.0); // thanks, precompiler
		 	suffix = " GBytes";
		 }
	else if(range >= 19.0)
		{	
			bytes /= (1024.0*1024.0);
			suffix = "MBytes";
		}
	else if(range >= 9.0)
	{
		bytes /= 1024.0;
		suffix = " kBytes";
	}
	sizelabel->setText(QString::number(bytes,'g',3)+suffix);	
}
